P4_STR_POP(3)

NAME
p4_str_pop - $POP ( $: a$ -- s: a$)

SYNOPSIS

#include <pfe/def-config.h>

FCode p4_str_pop(---);

DESCRIPTION

Abort if the string stack would underflow when popped.

Otherwise pop the top of the string stack and push it onto the data stack.

If the string is in the current string space and initially bound to the top of the string stack, mark it as garbage by setting its back link to NULL and set the garbage flag.

This word violates the rule that only ANS Forth strings should appear on the data stack, and so is under the hood. "string-pop"

AUTHOR

    • David N.Williams (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) 2001-2004, 2006, 2008 David N. Williams